Skip to main content

Get a unit by external ID

GET 

/nevisidm/api/core/v1/:clientExtId/units/:extId

Since: 2.71.0

Required permission(s): AccessControl.UnitView

Returns the unit with the given external ID within the specified client, including its language-dependent display names and abbreviations.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    extId stringrequired

    External ID of the unit.

    Example: unit-123

Responses

Unit found

Schema
    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The external ID of the unit.

    parentUnitExtId string

    The external ID of the parent unit.

    clientExtId string

    The external ID of the client the unit belongs to.

    hierarchicalName string

    The path from the root unit to the actual unit. The external IDs of the units are concatenated with the '/' character.

    name string

    The name of the unit.

    location string

    Free textual description of the physical location of the unit.

    description string

    The textual description of the unit.

    state string

    Possible values: [active, disabled]

    The state of the unit.

    displayName object

    Language-dependent name of the unit. Keys: EN, DE, FR, IT.

    property name* string
    abbreviation object

    Short form of the unit name. Keys: EN, DE, FR, IT.

    property name* string
    profileless boolean

    Determines whether profile assignment is allowed.

    modificationComment string

    Textual comment regarding the last modification.

    validity object

    The validity period of the unit entity.

    from string

    Start date of the entity's validity in ISO format.

    to string

    End date of the entity's validity in ISO format.

Loading...